ne_buffer_create
Prev | neon API reference | Next

## Name

ne_buffer_create, ne_buffer_ncreate — general purpose of group of functions

## Synopsis

    #include <ne_alloc.h>

`ne_buffer *ne_buffer_create(` | `void)`; |

`ne_buffer *ne_buffer_ncreate(` | size_t | size`)`;

## Description

`ne_buffer_create` creates a new buffer object, with an implementation-defined initial size. `ne_buffer_ncreate` creates an ne_buffer where the minimum initial size is given in the `size` parameter. The buffer created will contain the empty string (`""`).

## Return value

Both functions return a pointer to a new buffer object, and never `NULL`.

## See also

ne_buffer

Prev | Up | Next
ne_buffer_clear | Home | ne_buffer_destroy